<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: field/hext_ho.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_00a13ab5e3afe633796d5c180ae90994.html">field</a>
  </div>
</div>
<div class="contents">
<h1>hext_ho.c File Reference</h1><code>#include &quot;<a class="el" href="field_8h_source.html">field.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="util_8h_source.html">util/util.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for hext_ho.c:</div>
<div class="dynsection">
<div class="center"><img src="hext__ho_8c__incl.png" border="0" usemap="#field_2hext__ho_8c_map" alt=""/></div>
<map name="field_2hext__ho_8c_map" id="field_2hext__ho_8c">
<area shape="rect" id="node3" href="field_8h.html" title="field.h" alt="" coords="131,86,187,117"/><area shape="rect" id="node15" href="util_8h.html" title="util/util.h" alt="" coords="211,86,280,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="hext__ho_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="hext__ho_8c.html#aacac4af746c003dbd608d662ca2272e2">MpHext</a> (Vec M, PetscReal *vres)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="hext__ho_8c.html#a386ce6c3aee542bfbdfbc8bce99d51fe">Hext_ho_hstep</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="hext__ho_8c.html#a2e1ef17932652e8d616587011fb09c63">Hext_ho_hsweep</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="hext__ho_8c.html#ad61d58b7779a7d182a09c9becae36af1">Hext_ho_ht_Init</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="hext__ho_8c.html#aed1404d744513b58ba58166a487dcbdf">Hext_ho_hstep_Init</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="hext__ho_8c.html#aa7f4b51477b5dcd5afd1f4b73ffde571">Hext_ho_Init</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="hext__ho_8c.html#aeb00096e7649b4910f8fa67dc6f27401">Hext_ho</a> (<a class="el" href="structGridData.html">GridData</a> *gdata, Vec VHextsum, PetscReal *hext)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="aeb00096e7649b4910f8fa67dc6f27401"></a><!-- doxytag: member="hext_ho.c::Hext_ho" ref="aeb00096e7649b4910f8fa67dc6f27401" args="(GridData *gdata, Vec VHextsum, PetscReal *hext)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Hext_ho </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Vec&nbsp;</td>
          <td class="paramname"> <em>VHextsum</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>hext</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="hext__ho_8c_source.html#l00387">387</a> of file <a class="el" href="hext__ho_8c_source.html">hext_ho.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00109">D_EPS</a>, <a class="el" href="ipol_8c_source.html#l00159">getscalf()</a>, <a class="el" href="hext__ho_8c_source.html#l00102">Hext_ho_hsweep()</a>, <a class="el" href="hext__ho_8c_source.html#l00201">Hext_ho_Init()</a>, <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>, <a class="el" href="griddata_8h_source.html#l00084">MagparFunctionProfReturn</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="griddata_8h_source.html#l00145">GridData::time</a>, <a class="el" href="griddata_8h_source.html#l00150">GridData::tscale</a>, and <a class="el" href="util_8h.html#aa88f92d349ee3335807573e6ff373963">VecSetVec()</a>.</p>

<p>Referenced by <a class="el" href="hexternal_8c_source.html#l00055">Hexternal()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="hext__ho_8c_aeb00096e7649b4910f8fa67dc6f27401_cgraph.png" border="0" usemap="#hext__ho_8c_aeb00096e7649b4910f8fa67dc6f27401_cgraph_map" alt=""></div>
<map name="hext__ho_8c_aeb00096e7649b4910f8fa67dc6f27401_cgraph_map" id="hext__ho_8c_aeb00096e7649b4910f8fa67dc6f27401_cgraph">
<area shape="rect" id="node3" href="ipol_8c.html#a3e2699b016b84132ec08d3795b951dd9" title="getscalf" alt="" coords="153,5,220,35"/><area shape="rect" id="node5" href="field_8h.html#a2e1ef17932652e8d616587011fb09c63" title="Hext_ho_hsweep" alt="" coords="127,58,247,89"/><area shape="rect" id="node7" href="hext__ho_8c.html#aa7f4b51477b5dcd5afd1f4b73ffde571" title="Hext_ho_Init" alt="" coords="140,111,233,142"/><area shape="rect" id="node17" href="util_8h.html#aa88f92d349ee3335807573e6ff373963" title="VecSetVec" alt="" coords="144,165,229,195"/><area shape="rect" id="node9" href="hext__ho_8c.html#aed1404d744513b58ba58166a487dcbdf" title="Hext_ho_hstep_Init" alt="" coords="297,85,431,115"/><area shape="rect" id="node13" href="hext__ho_8c.html#ad61d58b7779a7d182a09c9becae36af1" title="Hext_ho_ht_Init" alt="" coords="308,138,420,169"/><area shape="rect" id="node11" href="field_8h.html#a567e7efd2748f5b33963b581ed12626c" title="read_hstep_file" alt="" coords="481,85,591,115"/><area shape="rect" id="node15" href="ipol_8c.html#a7c6add33a29c7ae759615a08798ee75d" title="readht" alt="" coords="507,138,565,169"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="hext__ho_8c_aeb00096e7649b4910f8fa67dc6f27401_icgraph.png" border="0" usemap="#hext__ho_8c_aeb00096e7649b4910f8fa67dc6f27401_icgraph_map" alt=""></div>
<map name="hext__ho_8c_aeb00096e7649b4910f8fa67dc6f27401_icgraph_map" id="hext__ho_8c_aeb00096e7649b4910f8fa67dc6f27401_icgraph">
<area shape="rect" id="node3" href="hexternal_8c.html#aeaf153862ea87b88e30bee559bf1d481" title="Hexternal" alt="" coords="125,249,203,279"/><area shape="rect" id="node5" href="htot_8c.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="252,210,297,241"/><area shape="rect" id="node40" href="htot_8c.html#a270a74fb6c65379e026cfb5c4de11443" title="Htot_Gradient" alt="" coords="348,301,449,331"/><area shape="rect" id="node7" href="llg_8h.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="357,118,440,149"/><area shape="rect" id="node11" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1216,197,1275,227"/><area shape="rect" id="node36" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="1060,90,1145,121"/><area shape="rect" id="node46" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f" title="Precond" alt="" coords="364,197,433,227"/><area shape="rect" id="node9" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="1039,143,1167,174"/><area shape="rect" id="node18" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="528,146,605,177"/><area shape="rect" id="node23" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="520,93,613,123"/><area shape="rect" id="node15" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="1219,143,1272,174"/><area shape="rect" id="node13" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1323,170,1373,201"/><area shape="rect" id="node20" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="684,301,809,331"/><area shape="rect" id="node25" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="708,197,785,227"/><area shape="rect" id="node30" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="700,93,793,123"/><area shape="rect" id="node27" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="859,197,989,227"/><area shape="rect" id="node32" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="897,93,951,123"/><area shape="rect" id="node42" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="499,301,635,331"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a386ce6c3aee542bfbdfbc8bce99d51fe"></a><!-- doxytag: member="hext_ho.c::Hext_ho_hstep" ref="a386ce6c3aee542bfbdfbc8bce99d51fe" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Hext_ho_hstep </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="hext__ho_8c_source.html#l00067">67</a> of file <a class="el" href="hext__ho_8c_source.html">hext_ho.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00264">GridData::equil</a>, <a class="el" href="hstep__file_8c_source.html#l00142">get_scalf_hstep()</a>, <a class="el" href="griddata_8h_source.html#l00149">GridData::hscale</a>, <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>, <a class="el" href="griddata_8h_source.html#l00147">GridData::mode</a>, and <a class="el" href="griddata_8h_source.html#l00114">MU0</a>.</p>

<p>Referenced by <a class="el" href="checkiterationemini_8c_source.html#l00071">CheckIterationEmini()</a>, and <a class="el" href="checkiterationllg_8c_source.html#l00318">CheckIterationLLG()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="hext__ho_8c_a386ce6c3aee542bfbdfbc8bce99d51fe_cgraph.png" border="0" usemap="#hext__ho_8c_a386ce6c3aee542bfbdfbc8bce99d51fe_cgraph_map" alt=""></div>
<map name="hext__ho_8c_a386ce6c3aee542bfbdfbc8bce99d51fe_cgraph_map" id="hext__ho_8c_a386ce6c3aee542bfbdfbc8bce99d51fe_cgraph">
<area shape="rect" id="node3" href="field_8h.html#aeebb8d32f6d9e3ab71e50c03e1372717" title="get_scalf_hstep" alt="" coords="163,5,277,35"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="hext__ho_8c_a386ce6c3aee542bfbdfbc8bce99d51fe_icgraph.png" border="0" usemap="#hext__ho_8c_a386ce6c3aee542bfbdfbc8bce99d51fe_icgraph_map" alt=""></div>
<map name="hext__ho_8c_a386ce6c3aee542bfbdfbc8bce99d51fe_icgraph_map" id="hext__ho_8c_a386ce6c3aee542bfbdfbc8bce99d51fe_icgraph">
<area shape="rect" id="node3" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="163,5,301,35"/><area shape="rect" id="node12" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="168,58,296,89"/><area shape="rect" id="node5" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="349,5,408,35"/><area shape="rect" id="node9" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="352,58,405,89"/><area shape="rect" id="node7" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="456,31,507,62"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="aed1404d744513b58ba58166a487dcbdf"></a><!-- doxytag: member="hext_ho.c::Hext_ho_hstep_Init" ref="aed1404d744513b58ba58166a487dcbdf" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Hext_ho_hstep_Init </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="hext__ho_8c_source.html#l00165">165</a> of file <a class="el" href="hext__ho_8c_source.html">hext_ho.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, and <a class="el" href="hstep__file_8c_source.html#l00046">read_hstep_file()</a>.</p>

<p>Referenced by <a class="el" href="hext__ho_8c_source.html#l00201">Hext_ho_Init()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="hext__ho_8c_aed1404d744513b58ba58166a487dcbdf_cgraph.png" border="0" usemap="#hext__ho_8c_aed1404d744513b58ba58166a487dcbdf_cgraph_map" alt=""></div>
<map name="hext__ho_8c_aed1404d744513b58ba58166a487dcbdf_cgraph_map" id="hext__ho_8c_aed1404d744513b58ba58166a487dcbdf_cgraph">
<area shape="rect" id="node3" href="field_8h.html#a567e7efd2748f5b33963b581ed12626c" title="read_hstep_file" alt="" coords="191,5,300,35"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="hext__ho_8c_aed1404d744513b58ba58166a487dcbdf_icgraph.png" border="0" usemap="#hext__ho_8c_aed1404d744513b58ba58166a487dcbdf_icgraph_map" alt=""></div>
<map name="hext__ho_8c_aed1404d744513b58ba58166a487dcbdf_icgraph_map" id="hext__ho_8c_aed1404d744513b58ba58166a487dcbdf_icgraph">
<area shape="rect" id="node3" href="hext__ho_8c.html#aa7f4b51477b5dcd5afd1f4b73ffde571" title="Hext_ho_Init" alt="" coords="191,249,284,279"/><area shape="rect" id="node5" href="hext__ho_8c.html#aeb00096e7649b4910f8fa67dc6f27401" title="Hext_ho" alt="" coords="335,249,404,279"/><area shape="rect" id="node7" href="hexternal_8c.html#aeaf153862ea87b88e30bee559bf1d481" title="Hexternal" alt="" coords="453,249,531,279"/><area shape="rect" id="node9" href="htot_8c.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="580,210,625,241"/><area shape="rect" id="node44" href="htot_8c.html#a270a74fb6c65379e026cfb5c4de11443" title="Htot_Gradient" alt="" coords="676,301,777,331"/><area shape="rect" id="node11" href="llg_8h.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="685,118,768,149"/><area shape="rect" id="node15" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1544,197,1603,227"/><area shape="rect" id="node40" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="1388,90,1473,121"/><area shape="rect" id="node50" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f" title="Precond" alt="" coords="692,197,761,227"/><area shape="rect" id="node13" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="1367,143,1495,174"/><area shape="rect" id="node22" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="856,146,933,177"/><area shape="rect" id="node27" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="848,93,941,123"/><area shape="rect" id="node19" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="1547,143,1600,174"/><area shape="rect" id="node17" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1651,170,1701,201"/><area shape="rect" id="node24" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="1012,301,1137,331"/><area shape="rect" id="node29" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="1036,197,1113,227"/><area shape="rect" id="node34" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="1028,93,1121,123"/><area shape="rect" id="node31" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="1187,197,1317,227"/><area shape="rect" id="node36" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="1225,93,1279,123"/><area shape="rect" id="node46" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="827,301,963,331"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a2e1ef17932652e8d616587011fb09c63"></a><!-- doxytag: member="hext_ho.c::Hext_ho_hsweep" ref="a2e1ef17932652e8d616587011fb09c63" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Hext_ho_hsweep </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="hext__ho_8c_source.html#l00102">102</a> of file <a class="el" href="hext__ho_8c_source.html">hext_ho.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00149">GridData::hscale</a>, <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>, <a class="el" href="griddata_8h_source.html#l00147">GridData::mode</a>, <a class="el" href="griddata_8h_source.html#l00114">MU0</a>, and <a class="el" href="griddata_8h_source.html#l00145">GridData::time</a>.</p>

<p>Referenced by <a class="el" href="hext__ho_8c_source.html#l00387">Hext_ho()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="hext__ho_8c_a2e1ef17932652e8d616587011fb09c63_icgraph.png" border="0" usemap="#hext__ho_8c_a2e1ef17932652e8d616587011fb09c63_icgraph_map" alt=""></div>
<map name="hext__ho_8c_a2e1ef17932652e8d616587011fb09c63_icgraph_map" id="hext__ho_8c_a2e1ef17932652e8d616587011fb09c63_icgraph">
<area shape="rect" id="node3" href="hext__ho_8c.html#aeb00096e7649b4910f8fa67dc6f27401" title="Hext_ho" alt="" coords="177,249,247,279"/><area shape="rect" id="node5" href="hexternal_8c.html#aeaf153862ea87b88e30bee559bf1d481" title="Hexternal" alt="" coords="296,249,373,279"/><area shape="rect" id="node7" href="htot_8c.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="423,210,468,241"/><area shape="rect" id="node42" href="htot_8c.html#a270a74fb6c65379e026cfb5c4de11443" title="Htot_Gradient" alt="" coords="519,301,620,331"/><area shape="rect" id="node9" href="llg_8h.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="528,118,611,149"/><area shape="rect" id="node13" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1387,197,1445,227"/><area shape="rect" id="node38" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="1231,90,1316,121"/><area shape="rect" id="node48" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f" title="Precond" alt="" coords="535,197,604,227"/><area shape="rect" id="node11" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="1209,143,1337,174"/><area shape="rect" id="node20" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="699,146,776,177"/><area shape="rect" id="node25" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="691,93,784,123"/><area shape="rect" id="node17" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="1389,143,1443,174"/><area shape="rect" id="node15" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1493,170,1544,201"/><area shape="rect" id="node22" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="855,301,980,331"/><area shape="rect" id="node27" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="879,197,956,227"/><area shape="rect" id="node32" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="871,93,964,123"/><area shape="rect" id="node29" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="1029,197,1160,227"/><area shape="rect" id="node34" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="1068,93,1121,123"/><area shape="rect" id="node44" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="669,301,805,331"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ad61d58b7779a7d182a09c9becae36af1"></a><!-- doxytag: member="hext_ho.c::Hext_ho_ht_Init" ref="ad61d58b7779a7d182a09c9becae36af1" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Hext_ho_ht_Init </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="hext__ho_8c_source.html#l00130">130</a> of file <a class="el" href="hext__ho_8c_source.html">hext_ho.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, and <a class="el" href="ipol_8c_source.html#l00055">readht()</a>.</p>

<p>Referenced by <a class="el" href="hext__ho_8c_source.html#l00201">Hext_ho_Init()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="hext__ho_8c_ad61d58b7779a7d182a09c9becae36af1_cgraph.png" border="0" usemap="#hext__ho_8c_ad61d58b7779a7d182a09c9becae36af1_cgraph_map" alt=""></div>
<map name="hext__ho_8c_ad61d58b7779a7d182a09c9becae36af1_cgraph_map" id="hext__ho_8c_ad61d58b7779a7d182a09c9becae36af1_cgraph">
<area shape="rect" id="node3" href="ipol_8c.html#a7c6add33a29c7ae759615a08798ee75d" title="readht" alt="" coords="168,5,227,35"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="hext__ho_8c_ad61d58b7779a7d182a09c9becae36af1_icgraph.png" border="0" usemap="#hext__ho_8c_ad61d58b7779a7d182a09c9becae36af1_icgraph_map" alt=""></div>
<map name="hext__ho_8c_ad61d58b7779a7d182a09c9becae36af1_icgraph_map" id="hext__ho_8c_ad61d58b7779a7d182a09c9becae36af1_icgraph">
<area shape="rect" id="node3" href="hext__ho_8c.html#aa7f4b51477b5dcd5afd1f4b73ffde571" title="Hext_ho_Init" alt="" coords="169,249,263,279"/><area shape="rect" id="node5" href="hext__ho_8c.html#aeb00096e7649b4910f8fa67dc6f27401" title="Hext_ho" alt="" coords="313,249,383,279"/><area shape="rect" id="node7" href="hexternal_8c.html#aeaf153862ea87b88e30bee559bf1d481" title="Hexternal" alt="" coords="432,249,509,279"/><area shape="rect" id="node9" href="htot_8c.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="559,210,604,241"/><area shape="rect" id="node44" href="htot_8c.html#a270a74fb6c65379e026cfb5c4de11443" title="Htot_Gradient" alt="" coords="655,301,756,331"/><area shape="rect" id="node11" href="llg_8h.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="664,118,747,149"/><area shape="rect" id="node15" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1523,197,1581,227"/><area shape="rect" id="node40" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="1367,90,1452,121"/><area shape="rect" id="node50" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f" title="Precond" alt="" coords="671,197,740,227"/><area shape="rect" id="node13" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="1345,143,1473,174"/><area shape="rect" id="node22" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="835,146,912,177"/><area shape="rect" id="node27" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="827,93,920,123"/><area shape="rect" id="node19" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="1525,143,1579,174"/><area shape="rect" id="node17" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1629,170,1680,201"/><area shape="rect" id="node24" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="991,301,1116,331"/><area shape="rect" id="node29" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="1015,197,1092,227"/><area shape="rect" id="node34" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="1007,93,1100,123"/><area shape="rect" id="node31" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="1165,197,1296,227"/><area shape="rect" id="node36" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="1204,93,1257,123"/><area shape="rect" id="node46" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="805,301,941,331"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="aa7f4b51477b5dcd5afd1f4b73ffde571"></a><!-- doxytag: member="hext_ho.c::Hext_ho_Init" ref="aa7f4b51477b5dcd5afd1f4b73ffde571" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Hext_ho_Init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="hext__ho_8c_source.html#l00201">201</a> of file <a class="el" href="hext__ho_8c_source.html">hext_ho.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00109">D_EPS</a>, <a class="el" href="griddata_8h_source.html#l00189">GridData::eleprop</a>, <a class="el" href="griddata_8h_source.html#l00188">GridData::elevert</a>, <a class="el" href="griddata_8h_source.html#l00192">GridData::elevol</a>, <a class="el" href="griddata_8h_source.html#l00115">GAMMA</a>, <a class="el" href="hext__ho_8c_source.html#l00165">Hext_ho_hstep_Init()</a>, <a class="el" href="hext__ho_8c_source.html#l00130">Hext_ho_ht_Init()</a>, <a class="el" href="griddata_8h_source.html#l00149">GridData::hscale</a>, <a class="el" href="griddata_8h_source.html#l00172">GridData::ln_ele</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="griddata_8h_source.html#l00147">GridData::mode</a>, <a class="el" href="griddata_8h_source.html#l00114">MU0</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="griddata_8h_source.html#l00097">NP</a>, <a class="el" href="griddata_8h_source.html#l00094">NV</a>, <a class="el" href="griddata_8h_source.html#l00221">GridData::propdat</a>, <a class="el" href="griddata_8h_source.html#l00145">GridData::time</a>, <a class="el" href="griddata_8h_source.html#l00263">GridData::totvol</a>, <a class="el" href="griddata_8h_source.html#l00150">GridData::tscale</a>, and <a class="el" href="griddata_8h_source.html#l00249">GridData::VMs3</a>.</p>

<p>Referenced by <a class="el" href="hext__ho_8c_source.html#l00387">Hext_ho()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="hext__ho_8c_aa7f4b51477b5dcd5afd1f4b73ffde571_cgraph.png" border="0" usemap="#hext__ho_8c_aa7f4b51477b5dcd5afd1f4b73ffde571_cgraph_map" alt=""></div>
<map name="hext__ho_8c_aa7f4b51477b5dcd5afd1f4b73ffde571_cgraph_map" id="hext__ho_8c_aa7f4b51477b5dcd5afd1f4b73ffde571_cgraph">
<area shape="rect" id="node3" href="hext__ho_8c.html#aed1404d744513b58ba58166a487dcbdf" title="Hext_ho_hstep_Init" alt="" coords="151,5,284,35"/><area shape="rect" id="node7" href="hext__ho_8c.html#ad61d58b7779a7d182a09c9becae36af1" title="Hext_ho_ht_Init" alt="" coords="161,58,273,89"/><area shape="rect" id="node5" href="field_8h.html#a567e7efd2748f5b33963b581ed12626c" title="read_hstep_file" alt="" coords="335,5,444,35"/><area shape="rect" id="node9" href="ipol_8c.html#a7c6add33a29c7ae759615a08798ee75d" title="readht" alt="" coords="360,58,419,89"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="hext__ho_8c_aa7f4b51477b5dcd5afd1f4b73ffde571_icgraph.png" border="0" usemap="#hext__ho_8c_aa7f4b51477b5dcd5afd1f4b73ffde571_icgraph_map" alt=""></div>
<map name="hext__ho_8c_aa7f4b51477b5dcd5afd1f4b73ffde571_icgraph_map" id="hext__ho_8c_aa7f4b51477b5dcd5afd1f4b73ffde571_icgraph">
<area shape="rect" id="node3" href="hext__ho_8c.html#aeb00096e7649b4910f8fa67dc6f27401" title="Hext_ho" alt="" coords="151,249,220,279"/><area shape="rect" id="node5" href="hexternal_8c.html#aeaf153862ea87b88e30bee559bf1d481" title="Hexternal" alt="" coords="269,249,347,279"/><area shape="rect" id="node7" href="htot_8c.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="396,210,441,241"/><area shape="rect" id="node42" href="htot_8c.html#a270a74fb6c65379e026cfb5c4de11443" title="Htot_Gradient" alt="" coords="492,301,593,331"/><area shape="rect" id="node9" href="llg_8h.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="501,118,584,149"/><area shape="rect" id="node13" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1360,197,1419,227"/><area shape="rect" id="node38" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="1204,90,1289,121"/><area shape="rect" id="node48" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f" title="Precond" alt="" coords="508,197,577,227"/><area shape="rect" id="node11" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="1183,143,1311,174"/><area shape="rect" id="node20" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="672,146,749,177"/><area shape="rect" id="node25" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="664,93,757,123"/><area shape="rect" id="node17" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="1363,143,1416,174"/><area shape="rect" id="node15" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1467,170,1517,201"/><area shape="rect" id="node22" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="828,301,953,331"/><area shape="rect" id="node27" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="852,197,929,227"/><area shape="rect" id="node32" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="844,93,937,123"/><area shape="rect" id="node29" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="1003,197,1133,227"/><area shape="rect" id="node34" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="1041,93,1095,123"/><area shape="rect" id="node44" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="643,301,779,331"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="aacac4af746c003dbd608d662ca2272e2"></a><!-- doxytag: member="hext_ho.c::MpHext" ref="aacac4af746c003dbd608d662ca2272e2" args="(Vec M, PetscReal *vres)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int MpHext </td>
          <td>(</td>
          <td class="paramtype">Vec&nbsp;</td>
          <td class="paramname"> <em>M</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>vres</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="hext__ho_8c_source.html#l00054">54</a> of file <a class="el" href="hext__ho_8c_source.html">hext_ho.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, and <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>.</p>

<p>Referenced by <a class="el" href="checkiterationemini_8c_source.html#l00071">CheckIterationEmini()</a>, <a class="el" href="checkiterationllg_8c_source.html#l00318">CheckIterationLLG()</a>, <a class="el" href="main_8c_source.html#l00146">keepsolving()</a>, and <a class="el" href="writelog_8c_source.html#l00206">WriteLogData()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="hext__ho_8c_aacac4af746c003dbd608d662ca2272e2_icgraph.png" border="0" usemap="#hext__ho_8c_aacac4af746c003dbd608d662ca2272e2_icgraph_map" alt=""></div>
<map name="hext__ho_8c_aacac4af746c003dbd608d662ca2272e2_icgraph_map" id="hext__ho_8c_aacac4af746c003dbd608d662ca2272e2_icgraph">
<area shape="rect" id="node3" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="405,266,544,297"/><area shape="rect" id="node12" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="411,5,539,35"/><area shape="rect" id="node16" href="main_8c.html#ae4f2eb4a1c11c65d9a480b992675dcf9" title="keepsolving" alt="" coords="267,305,357,335"/><area shape="rect" id="node19" href="writelog_8c.html#a54c21359e5dbade333f4c1ac856a3ffb" title="WriteLogData" alt="" coords="120,169,219,199"/><area shape="rect" id="node5" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="768,162,827,193"/><area shape="rect" id="node9" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="629,214,683,245"/><area shape="rect" id="node7" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="875,189,925,219"/><area shape="rect" id="node21" href="writelog_8c.html#ad970cf1663bac1ede525a5caf43750fd" title="WriteLog" alt="" coords="276,162,348,193"/><area shape="rect" id="node25" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="436,58,513,89"/><area shape="rect" id="node30" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="432,162,517,193"/><area shape="rect" id="node27" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="593,58,719,89"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

